after upgrade the parrot , os will be crash

after upgrade the parrot , os will be crash and again windows is not opening

security/parrot 4.2 amd64

/usr/share/apt-listchanges/apt_listchanges.py:540: FutureWarning: Possible nested set at position 25
email_re = re.compile(r’([a-zA-Z0-9_±.]+)@(([[0-9]{1,3}.[0-9]{1,3}.[0-9]{1,3}.)|(([a-zA-Z0-9-]+.)+))([a-zA-Z]{2,4}|[0-9]{1,3})(]?)’)
Reading changelogs… Done
Preconfiguring packages …
Setting up libcom-err2:amd64 (1.45.3-4) …
(Reading database … 457263 files and directories currently installed.)
Removing mariadb-server-10.1 (1:10.1.35-1) …
Failed to stop mariadb.service: Access denied
See system logs and ‘systemctl status mariadb.service’ for details.
dpkg: error processing package mariadb-server-10.1 (–remove):
installed mariadb-server-10.1 package pre-removal script subprocess returned error exit status 4
insserv: warning: current start runlevel(s) (empty) of script mysql' overrides LSB defaults (2 3 4 5). insserv: warning: current stop runlevel(s) (0 1 2 3 4 5 6) of scriptmysql’ overrides LSB defaults (0 1 6).
Failed to reload daemon: Access denied
Failed to reload daemon: Access denied
Failed to get unit file state for mariadb.service: Access denied
Failed to retrieve unit state: Access denied
mariadb.service is a disabled or a static unit, not starting it.
Errors were encountered while processing:
mariadb-server-10.1
Configuring sandbox profiles…
Sandbox profiles updated!
E: Sub-process /usr/bin/dpkg returned an error code (1)

Unpacking default-mysql-server (1.0.5) over (1.0.4) …
(Reading database … 457312 files and directories currently installed.)
Removing mariadb-server-10.1 (1:10.1.35-1) …
Failed to stop mariadb.service: Access denied
See system logs and ‘systemctl status mariadb.service’ for details.
dpkg: error processing package mariadb-server-10.1 (–remove):
installed mariadb-server-10.1 package pre-removal script subprocess returned error exit status 4
insserv: warning: current start runlevel(s) (empty) of script mysql' overrides LSB defaults (2 3 4 5). insserv: warning: current stop runlevel(s) (0 1 2 3 4 5 6) of scriptmysql’ overrides LSB defaults (0 1 6).
Failed to reload daemon: Access denied
Failed to reload daemon: Access denied
Failed to get unit file state for mariadb.service: Access denied
Failed to retrieve unit state: Access denied
mariadb.service is a disabled or a static unit, not starting it.
dpkg: mariadb-client-10.1: dependency problems, but removing anyway as you requested:
mariadb-server-10.1 depends on mariadb-client-10.1 (>= 1:10.1.35-1); however:
Package mariadb-client-10.1 is to be removed.

Removing mariadb-client-10.1 (1:10.1.35-1) …
Removing mariadb-client-core-10.1 (1:10.1.35-1) …
Errors were encountered while processing:
mariadb-server-10.1
Configuring sandbox profiles…
Sandbox profiles updated!
E: Sub-process /usr/bin/dpkg returned an error code (1)

let me guess. you did a:

apt upgrade

right?

I saw another post about this issue. Any idea if they are isolated cases or if there is an issue needing to be addressed?

yes, after “apt full-upgrade” system will crash

1 Like

jasonb179 this issue happen in new version of parrot after setting mirror “deb http://free.nchc.org.tw/parrot/ rolling main contrib non-free”.

Only with this mirror, or are other mirrors affected too?

i don’t know becaz i am not trying all

i am install parrot v4.2 2 times and both time parrot will crash after upgrading the system

Same issue here, Litrally installed parrot os five times and crashed every time, think it might have something to do with dkms.

Parrot Repository

I am also having this issue with the latest repositories, everytime I shut down the pc, the operating system magically vanishes…

uh there is no 4.2 version, currently we are on 4.6 please download directly from parrotlinux.org

This topic was automatically closed 120 days after the last reply. New replies are no longer allowed.